package tomracer;

public class GeneticSensorModel {

	private double angleToNext;
	private double angleToNextNext;
	private double angleToOther;
	private double angleToCenter;
	private double distanceToNext;
	private double distanceToNextNext;
	private double distanceToOther;
	private double distanceToCenter;
	private double otherDistanceToNext;
	private double speed;
	private double speedToNext;
	private double otherSpeed;
	private double otherSpeedToNext;
	private boolean othersPresent;
	private int whoReachesNextFirstEstimate;

	public GeneticSensorModel(double angleToNext, double angleToNextNext, double angleToOther, double angleToCenter, double distanceToNext, double distanceToNextNext, double distanceToOther, double distanceToCenter, double otherDistanceToNext, double speed, double speedToNext, double otherSpeed, double otherSpeedToNext, boolean othersPresent, int whoReachesNextFirstEstimate) {
		this.angleToNext = angleToNext;
		this.angleToNextNext = angleToNextNext;
		this.angleToOther = angleToOther;
		this.angleToCenter = angleToCenter;
		this.distanceToNext  = distanceToNext;
		this.distanceToNextNext = distanceToNextNext;
		this.distanceToOther = distanceToOther;
		this.distanceToCenter = distanceToCenter; 
		this.otherDistanceToNext = otherDistanceToNext;
		this.speed = speed;
		this.speedToNext = speedToNext;
		this.otherSpeed = otherSpeed;
		this.otherSpeedToNext = otherSpeedToNext;
		this.othersPresent = othersPresent;
		this.whoReachesNextFirstEstimate = whoReachesNextFirstEstimate;
	}

	public double getAngleToCenter() {
		return angleToCenter;
	}

	public double getAngleToNext() {
		return angleToNext;
	}

	public double getAngleToNextNext() {
		return angleToNextNext;
	}

	public double getAngleToOther() {
		return angleToOther;
	}

	public double getDistanceToCenter() {
		return distanceToCenter;
	}

	public double getDistanceToNext() {
		return distanceToNext;
	}

	public double getDistanceToNextNext() {
		return distanceToNextNext;
	}

	public double getDistanceToOther() {
		return distanceToOther;
	}

	public double getOtherDistanceToNext() {
		return otherDistanceToNext;
	}

	public double getOtherSpeed() {
		return otherSpeed;
	}

	public double getOtherSpeedToNext() {
		return otherSpeedToNext;
	}

	public boolean isOthersPresent() {
		return othersPresent;
	}

	public double getSpeed() {
		return speed;
	}

	public double getSpeedToNext() {
		return speedToNext;
	}

	public int getWhoReachesNextFirstEstimate() {
		return whoReachesNextFirstEstimate;
	}

}
