package tomracer.util;

/**
Class to maintain a relation between two objects.
*/
public class Pair<First, Second> implements java.io.Serializable {
private First one; private Second two;
public Pair(First one, Second two) {
this.one = one;
this.two = two;
}
/**
evaluates to "(" + first() + "," + second() + ")"
*/
public String toString() {
return "(" + one + "," + two + ")";
}
public First first() { return one; }
public Second second() { return two; }
/**
A pair equals another pair when their
respective parts equal one another.
*/
public boolean equals(Object o) {
boolean same = false;
if (o instanceof Pair) {
Pair p = (Pair) o;
if (p == this)
same = true;
else {
same = p.one.equals(one) && p.two.equals(two);
}
}
return same;
}
public int hashCode() {
return one.hashCode()*47 + two.hashCode();
}
};
